Your account will be charged only for posting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.
Description of the fields for sending a request:
| Field name | Type | Description |
|---|---|---|
id | string | task identifier |
As a response of the API server, you will receive JSON-encoded data containing a
tasks array with the information specific to the set tasks.
You can also get all available SERP features and possible extra elements by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/serp/youtube/video_subtitles/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the YouTube Video Subtitles SERP Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.
Description of the fields in the results array:
| Field name | Type | Description |
|---|---|---|
version | string | the current version of the API |
status_code | integer | general status code |
status_message | string | general informational message |
time | string | execution time, seconds |
cost | float | total tasks cost, USD |
tasks_count | integer | the number of tasks in the |
tasks_error | integer | the number of tasks in the |
tasks | array | array of tasks |
id | string | task identifier |
status_code | integer | status code of the task |
status_message | string | informational message of the task |
time | string | execution time, seconds |
cost | float | cost of the task, USD |
result_count | integer | number of elements in the |
path | array | URL path |
data | object | contains the same parameters that you specified in the POST request |
result | array | array of results |
video_id | string | ID of the video received in a POST array |
se_domain | string | search engine domain in a POST array |
location_code | integer | location code in a POST array |
language_code | string | language code in a POST array |
check_url | string | direct URL to search engine results |
datetime | string | date and time when the result was received |
spell | object | autocorrection of the search engine |
refinement_chips | object | search refinement chips |
item_types | array | types of search results in SERP |
unsupported_language | boolean | indicates whether the language is unsupported by the system |
translate_language | string | language code of translated text |
origin_language | string | language code of original text |
category | string | the category the video belongs to |
subtitles_count | integer | number of subtitles in the video |
title | string | title of the video |
items_count | integer | the number of results returned in the |
items | array | elements of search results found in SERP |
type | string | type of element='youtube_subtitles'n |
rank_group | integer | group rank in SERP |
rank_absolute | integer | absolute rank in SERP for the target domain |
text | string | text translated in subtitles |
start_time | integer | the second subtitled text starts |
end_time | integer | the second subtitled text ends |
duration_time | integer | duration of subtitles in seconds |
Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
login="login"
password="password"
cred="$(printf ${login}:${password} | base64)"
id="02261816-2027-0066-0000-c27d02864073"
curl --location --request GET "https://api.dataforseo.com/v3/serp/youtube/video_subtitles/task_get/advanced/${id}"
--header "Authorization: Basic ${cred}"
--header "Content-Type: application/json"
--data-raw ""<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
exit();
}
try {
$result = array();
// #1 - using this method you can get a list of completed tasks
// GET /v3/serp/youtube/video_subtitles/tasks_ready
// in addition to 'youtube' and 'video_subtitles' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
$tasks_ready = $client->get('/v3/serp/youtube/video_subtitles/tasks_ready');
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
foreach ($tasks_ready['tasks'] as $task) {
if (isset($task['result'])) {
foreach ($task['result'] as $task_ready) {
// #2 - using this method you can get results of each completed task
// GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
if (isset($task_ready['endpoint_advanced'])) {
$result[] = $client->get($task_ready['endpoint_advanced']);
}
// #3 - another way to get the task results by id
// GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
/*
if (isset($task_ready['id'])) {
$result[] = $client->get('/v3/serp/youtube/video_subtitles/task_get/advanced/' . $task_ready['id']);
}
*/
}
}
}
}
print_r($result);
// do something with result
} catch (RestClientException $e) {
echo "n";
print "HTTP code: {$e->getHttpCode()}n";
print "Error code: {$e->getCode()}n";
print "Message: {$e->getMessage()}n";
print $e->getTraceAsString();
echo "n";
}
$client = null;
?>const task_id = '02231256-2604-0066-2000-57133b8fc54e';
const axios = require('axios');
axios({
method: 'get',
url: 'https://api.dataforseo.com/v3/serp/youtube/video_subtitles/task_get/advanced/' + task_id,
auth: {
username: 'login',
password: 'password'
},
headers: {
'content-type': 'application/json'
}
}).then(function (response) {
var result = response['data']['tasks'];
// Result data
console.log(result);
}).catch(function (error) {
console.log(error);
});from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# 1 - using this method you can get a list of completed tasks
# GET /v3/serp/youtube/video_subtitles/tasks_ready
# the full list of possible parameters is available in documentation
response = client.get("/v3/serp/google/images/tasks_ready")
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
results = []
for task in response['tasks']:
if (task['result'] and (len(task['result']) > 0)):
for resultTaskInfo in task['result']:
# 2 - using this method you can get results of each completed task
# GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
if(resultTaskInfo['endpoint_advanced']):
results.append(client.get(resultTaskInfo['endpoint_advanced']))
'''
# 3 - another way to get the task results by id
# GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
if(resultTaskInfo['id']):
results.append(client.get("/v3/serp/youtube/video_subtitles/task_get/advanced/" + resultTaskInfo['id']))
'''
print(results)
# do something with result
else:
print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;
namespace DataForSeoDemos
{
public static partial class Demos
{
public static async Task serp_task_get()
{
var httpClient = new HttpClient
{
BaseAddress = new Uri("https://api.dataforseo.com/"),
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
};
// #1 - using this method you can get a list of completed tasks
// GET /v3/serp/youtube/video_subtitles/tasks_ready
// in addition to 'youtube' and 'video_subtitles' you can also set other search engine and type parameters
// the full list of possible parameters is available in documentation
var response = await httpClient.GetAsync("/v3/serp/youtube/video_subtitles/tasks_ready");
var tasksInfo = JsonConvert.DeserializeObject<dynamic>(await response.Content.ReadAsStringAsync());
var tasksResponses = new List<object>();
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (tasksInfo.status_code == 20000)
{
foreach (var tasks in tasksInfo.tasks)
{
if (tasks.First.result != null)
{
foreach (var task in tasks.First.result)
{
if (task.endpoint_advanced != null)
{
// #2 - using this method you can get results of each completed task
// GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
var tasksGetResponse = await httpClient.GetAsync((string)task.endpoint_advanced);
var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
if (tasksResultObj.tasks != null)
{
foreach (var taskResult in tasksResultObj.tasks)
{
var fst = taskResult.First;
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (fst.status_code >= 40000 || fst.result == null)
Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
else
tasksResponses.Add(fst.result);
}
}
// #3 - another way to get the task results by id
// GET /v3/serp/youtube/video_subtitles/task_get/advanced/$id
/*
var tasksGetResponse = await httpClient.GetAsync("/v3/serp/youtube/video_subtitles/task_get/advanced/" + (string)task.id);
var tasksResultObj = JsonConvert.DeserializeObject<dynamic>(await tasksGetResponse.Content.ReadAsStringAsync());
if (tasksResultObj.tasks != null)
{
foreach (var taskResult in tasksResultObj.tasks)
{
var fst = taskResult.First;
// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if (fst.status_code >= 40000 || fst.result == null)
Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
else
tasksResponses.Add(fst.result);
}
}
*/
}
}
}
}
if (tasksResponses.Count > 0)
// do something with result
Console.WriteLine(String.Join(Environment.NewLine, tasksResponses));
else
Console.WriteLine("No completed tasks");
}
else
Console.WriteLine($"error. Code: {tasksInfo.status_code} Message: {tasksInfo.status_message}");
}
}
}The above command returns JSON structured like this:
{
"version": "0.1.20220819",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0837 sec.",
"cost": 0,
"tasks_count": 1,
"tasks_error": 0,
"tasks": [
{
"id": "11141830-4426-0066-0000-386419d7f6e7",
"status_code": 20000,
"status_message": "Ok.",
"time": "0.0304 sec.",
"cost": 0,
"result_count": 1,
"path": [
"v3",
"serp",
"youtube",
"video_subtitles",
"task_get",
"advanced",
"11141830-4426-0066-0000-386419d7f6e7"
],
"data": {
"api": "serp",
"function": "task_get",
"se": "youtube",
"se_type": "video_subtitles",
"language_code": "en",
"location_code": 2840,
"video_id": "Y8Wu4rSNJms",
"priority": 2,
"subtitles_language": "en",
"subtitles_translate_language": "it",
"device": "desktop",
"os": "windows"
},
"result": [
{
"video_id": "Y8Wu4rSNJms",
"se_domain": "youtube.com",
"location_code": 2840,
"language_code": "en",
"check_url": "https://www.youtube.com/watch?v=Y8Wu4rSNJms",
"datetime": "2022-11-14 16:30:59 +00:00",
"spell": null,
"refinement_chips": null,
"item_types": [
"youtube_subtitles"
],
"unsupported_language": false,
"translate_language": "it",
"origin_language": "en",
"category": null,
"subtitles_count": 31,
"title": "How to set up BMW eDrive Modes in the New Generation of BMW Plug-In Hybrids",
"items_count": 31,
"items": [
{
"type": "youtube_subtitles",
"rank_group": 1,
"rank_absolute": 1,
"text": "elettrifica la tua efficienza di guida",
"start_time": 1.12,
"end_time": 6,
"duration_time": 4.88
},
{
"type": "youtube_subtitles",
"rank_group": 2,
"rank_absolute": 2,
"text": "la trazione ibrida plug-in nelle BMW con",
"start_time": 3.679,
"end_time": 8.48,
"duration_time": 4.801
},
{
"type": "youtube_subtitles",
"rank_group": 3,
"rank_absolute": 3,
"text": "sistema operativo 8 ti offre il",
"start_time": 6,
"end_time": 10.72,
"duration_time": 4.719
}
]
}
]
}
]
}